<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>JavaScript and HTML (best solution: modules)</title>

    <!-- defer: Do not run scripts before the page has loaded -->
    <script src="js/walkTreed.js" type="module"></script>
</head>
<body>
    <h2>JavaScript and HTML (best solution: modules)</h2>
    <div>
        Welcome <span id="user"></span>
    </div>
</body>
</html>